var ChortiNavbar = (function (exports) {
    'use strict';

    //
    //
    //
    //
    //
    //
    //
    //
    //
    //
    //
    //
    //
    //
    //
    //
    //
    //
    //
    //
    //
    //
    //
    //
    //
    //
    //
    //
    //
    //
    //
    //
    //
    //


    var script = {
        props: {
            title: {
                type: String,
                required: true
            },
            username: {
                type: String,
                required: true
            },
            options: {
                type: Object,
                required: true
            }
        },
        name: 'ChortiNavbar'
    };

    function normalizeComponent(template, style, script, scopeId, isFunctionalTemplate, moduleIdentifier
    /* server only */
    , shadowMode, createInjector, createInjectorSSR, createInjectorShadow) {
      if (typeof shadowMode !== 'boolean') {
        createInjectorSSR = createInjector;
        createInjector = shadowMode;
        shadowMode = false;
      } // Vue.extend constructor export interop.


      var options = typeof script === 'function' ? script.options : script; // render functions

      if (template && template.render) {
        options.render = template.render;
        options.staticRenderFns = template.staticRenderFns;
        options._compiled = true; // functional template

        if (isFunctionalTemplate) {
          options.functional = true;
        }
      } // scopedId


      if (scopeId) {
        options._scopeId = scopeId;
      }

      var hook;

      if (moduleIdentifier) {
        // server build
        hook = function hook(context) {
          // 2.3 injection
          context = context || // cached call
          this.$vnode && this.$vnode.ssrContext || // stateful
          this.parent && this.parent.$vnode && this.parent.$vnode.ssrContext; // functional
          // 2.2 with runInNewContext: true

          if (!context && typeof __VUE_SSR_CONTEXT__ !== 'undefined') {
            context = __VUE_SSR_CONTEXT__;
          } // inject component styles


          if (style) {
            style.call(this, createInjectorSSR(context));
          } // register component module identifier for async chunk inference


          if (context && context._registeredComponents) {
            context._registeredComponents.add(moduleIdentifier);
          }
        }; // used by ssr in case component is cached and beforeCreate
        // never gets called


        options._ssrRegister = hook;
      } else if (style) {
        hook = shadowMode ? function () {
          style.call(this, createInjectorShadow(this.$root.$options.shadowRoot));
        } : function (context) {
          style.call(this, createInjector(context));
        };
      }

      if (hook) {
        if (options.functional) {
          // register for functional component in vue file
          var originalRender = options.render;

          options.render = function renderWithStyleInjection(h, context) {
            hook.call(context);
            return originalRender(h, context);
          };
        } else {
          // inject component registration as beforeCreate hook
          var existing = options.beforeCreate;
          options.beforeCreate = existing ? [].concat(existing, hook) : [hook];
        }
      }

      return script;
    }

    var normalizeComponent_1 = normalizeComponent;

    var isOldIE = typeof navigator !== 'undefined' && /msie [6-9]\\b/.test(navigator.userAgent.toLowerCase());
    function createInjector(context) {
      return function (id, style) {
        return addStyle(id, style);
      };
    }
    var HEAD;
    var styles = {};

    function addStyle(id, css) {
      var group = isOldIE ? css.media || 'default' : id;
      var style = styles[group] || (styles[group] = {
        ids: new Set(),
        styles: []
      });

      if (!style.ids.has(id)) {
        style.ids.add(id);
        var code = css.source;

        if (css.map) {
          // https://developer.chrome.com/devtools/docs/javascript-debugging
          // this makes source maps inside style tags work properly in Chrome
          code += '\n/*# sourceURL=' + css.map.sources[0] + ' */'; // http://stackoverflow.com/a/26603875

          code += '\n/*# sourceMappingURL=data:application/json;base64,' + btoa(unescape(encodeURIComponent(JSON.stringify(css.map)))) + ' */';
        }

        if (!style.element) {
          style.element = document.createElement('style');
          style.element.type = 'text/css';
          if (css.media) { style.element.setAttribute('media', css.media); }

          if (HEAD === undefined) {
            HEAD = document.head || document.getElementsByTagName('head')[0];
          }

          HEAD.appendChild(style.element);
        }

        if ('styleSheet' in style.element) {
          style.styles.push(code);
          style.element.styleSheet.cssText = style.styles.filter(Boolean).join('\n');
        } else {
          var index = style.ids.size - 1;
          var textNode = document.createTextNode(code);
          var nodes = style.element.childNodes;
          if (nodes[index]) { style.element.removeChild(nodes[index]); }
          if (nodes.length) { style.element.insertBefore(textNode, nodes[index]); }else { style.element.appendChild(textNode); }
        }
      }
    }

    var browser = createInjector;

    /* script */
    var __vue_script__ = script;

    /* template */
    var __vue_render__ = function() {
      var _vm = this;
      var _h = _vm.$createElement;
      var _c = _vm._self._c || _h;
      return _c("div", { staticClass: "row navbar-container" }, [
        _c("div", { staticClass: "col-xs-12 col-sm-8" }, [
          !_vm.options.logo.hidden
            ? _c("div", { staticClass: "row middle-xs" }, [
                _c(
                  "a",
                  {
                    staticClass: "col-xs-12 col-sm-3 center-xs",
                    on: {
                      click: function($event) {
                        return _vm.$emit("logo")
                      }
                    }
                  },
                  [
                    _c("img", {
                      staticClass: "logo",
                      attrs: { src: _vm.options.logo.img, alt: "logo" }
                    })
                  ]
                ),
                _vm._v(" "),
                _c("h1", { staticClass: "title col-xs" }, [
                  _vm._v(_vm._s(_vm.title))
                ])
              ])
            : _vm._e()
        ]),
        _vm._v(" "),
        _c("div", { staticClass: "col-xs-12 col-sm-2" }, [
          _c("div", { staticClass: "row middle-xs center-xs user-container" }, [
            _c("span", [_vm._v(_vm._s(_vm.username))]),
            _vm._v(" "),
            !_vm.options.user.hidden
              ? _c("a", { staticClass: "user-logo" }, [
                  _c("img", {
                    attrs: { src: _vm.options.user.img, alt: "user-logo" }
                  })
                ])
              : _vm._e()
          ])
        ]),
        _vm._v(" "),
        _c("div", { staticClass: "col-xs-12 col-sm-2" }, [
          _c("div", { staticClass: "row middle-xs center-xs icon-container" }, [
            !_vm.options.info.hidden
              ? _c(
                  "a",
                  {
                    staticClass: "icon",
                    on: {
                      click: function($event) {
                        return _vm.$emit("info")
                      }
                    }
                  },
                  [_c("img", { attrs: { src: _vm.options.info.img, alt: "info" } })]
                )
              : _vm._e(),
            _vm._v(" "),
            !_vm.options.help.hidden
              ? _c(
                  "a",
                  {
                    staticClass: "icon",
                    on: {
                      click: function($event) {
                        return _vm.$emit("help")
                      }
                    }
                  },
                  [_c("img", { attrs: { src: _vm.options.help.img, alt: "help" } })]
                )
              : _vm._e(),
            _vm._v(" "),
            !_vm.options.exit.hidden
              ? _c(
                  "a",
                  {
                    staticClass: "icon",
                    on: {
                      click: function($event) {
                        return _vm.$emit("exit")
                      }
                    }
                  },
                  [_c("img", { attrs: { src: _vm.options.exit.img, alt: "exit" } })]
                )
              : _vm._e()
          ])
        ])
      ])
    };
    var __vue_staticRenderFns__ = [];
    __vue_render__._withStripped = true;

      /* style */
      var __vue_inject_styles__ = function (inject) {
        if (!inject) { return }
        inject("data-v-6d03d0a4_0", { source: ".container[data-v-6d03d0a4], .container-fluid[data-v-6d03d0a4] {\r\n    margin-right: auto;\r\n    margin-left: auto\n}\n.container-fluid[data-v-6d03d0a4] {\r\n    padding-right: 2rem;\r\n    padding-left: 2rem\n}\n.row[data-v-6d03d0a4] {\r\n    box-sizing: border-box;\r\n    display: -webkit-box;\r\n    display: -ms-flexbox;\r\n    display: flex;\r\n    -webkit-box-flex: 0;\r\n    -ms-flex: 0 1 auto;\r\n    flex: 0 1 auto;\r\n    -webkit-box-orient: horizontal;\r\n    -webkit-box-direction: normal;\r\n    -ms-flex-direction: row;\r\n    flex-direction: row;\r\n    -ms-flex-wrap: wrap;\r\n    flex-wrap: wrap;\r\n    margin-right: -.5rem;\r\n    margin-left: -.5rem\n}\n.row.reverse[data-v-6d03d0a4] {\r\n    -webkit-box-orient: horizontal;\r\n    -webkit-box-direction: reverse;\r\n    -ms-flex-direction: row-reverse;\r\n    flex-direction: row-reverse\n}\n.col.reverse[data-v-6d03d0a4] {\r\n    -webkit-box-orient: vertical;\r\n    -webkit-box-direction: reverse;\r\n    -ms-flex-direction: column-reverse;\r\n    flex-direction: column-reverse\n}\n.col-xs[data-v-6d03d0a4], .col-xs-1[data-v-6d03d0a4], .col-xs-10[data-v-6d03d0a4], .col-xs-11[data-v-6d03d0a4], .col-xs-12[data-v-6d03d0a4], .col-xs-2[data-v-6d03d0a4], .col-xs-3[data-v-6d03d0a4], .col-xs-4[data-v-6d03d0a4], .col-xs-5[data-v-6d03d0a4], .col-xs-6[data-v-6d03d0a4], .col-xs-7[data-v-6d03d0a4], .col-xs-8[data-v-6d03d0a4], .col-xs-9[data-v-6d03d0a4], .col-xs-offset-0[data-v-6d03d0a4], .col-xs-offset-1[data-v-6d03d0a4], .col-xs-offset-10[data-v-6d03d0a4], .col-xs-offset-11[data-v-6d03d0a4], .col-xs-offset-12[data-v-6d03d0a4], .col-xs-offset-2[data-v-6d03d0a4], .col-xs-offset-3[data-v-6d03d0a4], .col-xs-offset-4[data-v-6d03d0a4], .col-xs-offset-5[data-v-6d03d0a4], .col-xs-offset-6[data-v-6d03d0a4], .col-xs-offset-7[data-v-6d03d0a4], .col-xs-offset-8[data-v-6d03d0a4], .col-xs-offset-9[data-v-6d03d0a4] {\r\n    box-sizing: border-box;\r\n    -webkit-box-flex: 0;\r\n    -ms-flex: 0 0 auto;\r\n    flex: 0 0 auto;\r\n    padding-right: .5rem;\r\n    padding-left: .5rem\n}\n.col-xs[data-v-6d03d0a4] {\r\n    -webkit-box-flex: 1;\r\n    -ms-flex-positive: 1;\r\n    flex-grow: 1;\r\n    -ms-flex-preferred-size: 0;\r\n    flex-basis: 0;\r\n    max-width: 100%\n}\n.col-xs-1[data-v-6d03d0a4] {\r\n    -ms-flex-preferred-size: 8.33333333%;\r\n    flex-basis: 8.33333333%;\r\n    max-width: 8.33333333%\n}\n.col-xs-2[data-v-6d03d0a4] {\r\n    -ms-flex-preferred-size: 16.66666667%;\r\n    flex-basis: 16.66666667%;\r\n    max-width: 16.66666667%\n}\n.col-xs-3[data-v-6d03d0a4] {\r\n    -ms-flex-preferred-size: 25%;\r\n    flex-basis: 25%;\r\n    max-width: 25%\n}\n.col-xs-4[data-v-6d03d0a4] {\r\n    -ms-flex-preferred-size: 33.33333333%;\r\n    flex-basis: 33.33333333%;\r\n    max-width: 33.33333333%\n}\n.col-xs-5[data-v-6d03d0a4] {\r\n    -ms-flex-preferred-size: 41.66666667%;\r\n    flex-basis: 41.66666667%;\r\n    max-width: 41.66666667%\n}\n.col-xs-6[data-v-6d03d0a4] {\r\n    -ms-flex-preferred-size: 50%;\r\n    flex-basis: 50%;\r\n    max-width: 50%\n}\n.col-xs-7[data-v-6d03d0a4] {\r\n    -ms-flex-preferred-size: 58.33333333%;\r\n    flex-basis: 58.33333333%;\r\n    max-width: 58.33333333%\n}\n.col-xs-8[data-v-6d03d0a4] {\r\n    -ms-flex-preferred-size: 66.66666667%;\r\n    flex-basis: 66.66666667%;\r\n    max-width: 66.66666667%\n}\n.col-xs-9[data-v-6d03d0a4] {\r\n    -ms-flex-preferred-size: 75%;\r\n    flex-basis: 75%;\r\n    max-width: 75%\n}\n.col-xs-10[data-v-6d03d0a4] {\r\n    -ms-flex-preferred-size: 83.33333333%;\r\n    flex-basis: 83.33333333%;\r\n    max-width: 83.33333333%\n}\n.col-xs-11[data-v-6d03d0a4] {\r\n    -ms-flex-preferred-size: 91.66666667%;\r\n    flex-basis: 91.66666667%;\r\n    max-width: 91.66666667%\n}\n.col-xs-12[data-v-6d03d0a4] {\r\n    -ms-flex-preferred-size: 100%;\r\n    flex-basis: 100%;\r\n    max-width: 100%\n}\n.col-xs-offset-0[data-v-6d03d0a4] {\r\n    margin-left: 0\n}\n.col-xs-offset-1[data-v-6d03d0a4] {\r\n    margin-left: 8.33333333%\n}\n.col-xs-offset-2[data-v-6d03d0a4] {\r\n    margin-left: 16.66666667%\n}\n.col-xs-offset-3[data-v-6d03d0a4] {\r\n    margin-left: 25%\n}\n.col-xs-offset-4[data-v-6d03d0a4] {\r\n    margin-left: 33.33333333%\n}\n.col-xs-offset-5[data-v-6d03d0a4] {\r\n    margin-left: 41.66666667%\n}\n.col-xs-offset-6[data-v-6d03d0a4] {\r\n    margin-left: 50%\n}\n.col-xs-offset-7[data-v-6d03d0a4] {\r\n    margin-left: 58.33333333%\n}\n.col-xs-offset-8[data-v-6d03d0a4] {\r\n    margin-left: 66.66666667%\n}\n.col-xs-offset-9[data-v-6d03d0a4] {\r\n    margin-left: 75%\n}\n.col-xs-offset-10[data-v-6d03d0a4] {\r\n    margin-left: 83.33333333%\n}\n.col-xs-offset-11[data-v-6d03d0a4] {\r\n    margin-left: 91.66666667%\n}\n.start-xs[data-v-6d03d0a4] {\r\n    -webkit-box-pack: start;\r\n    -ms-flex-pack: start;\r\n    justify-content: flex-start;\r\n    text-align: start\n}\n.center-xs[data-v-6d03d0a4] {\r\n    -webkit-box-pack: center;\r\n    -ms-flex-pack: center;\r\n    justify-content: center;\r\n    text-align: center\n}\n.end-xs[data-v-6d03d0a4] {\r\n    -webkit-box-pack: end;\r\n    -ms-flex-pack: end;\r\n    justify-content: flex-end;\r\n    text-align: end\n}\n.top-xs[data-v-6d03d0a4] {\r\n    -webkit-box-align: start;\r\n    -ms-flex-align: start;\r\n    align-items: flex-start\n}\n.middle-xs[data-v-6d03d0a4] {\r\n    -webkit-box-align: center;\r\n    -ms-flex-align: center;\r\n    align-items: center\n}\n.bottom-xs[data-v-6d03d0a4] {\r\n    -webkit-box-align: end;\r\n    -ms-flex-align: end;\r\n    align-items: flex-end\n}\n.around-xs[data-v-6d03d0a4] {\r\n    -ms-flex-pack: distribute;\r\n    justify-content: space-around\n}\n.between-xs[data-v-6d03d0a4] {\r\n    -webkit-box-pack: justify;\r\n    -ms-flex-pack: justify;\r\n    justify-content: space-between\n}\n.first-xs[data-v-6d03d0a4] {\r\n    -webkit-box-ordinal-group: 0;\r\n    -ms-flex-order: -1;\r\n    order: -1\n}\n.last-xs[data-v-6d03d0a4] {\r\n    -webkit-box-ordinal-group: 2;\r\n    -ms-flex-order: 1;\r\n    order: 1\n}\n@media only screen and (min-width: 48em) {\n.container[data-v-6d03d0a4] {\r\n        width: 49rem\n}\n.col-sm[data-v-6d03d0a4], .col-sm-1[data-v-6d03d0a4], .col-sm-10[data-v-6d03d0a4], .col-sm-11[data-v-6d03d0a4], .col-sm-12[data-v-6d03d0a4], .col-sm-2[data-v-6d03d0a4], .col-sm-3[data-v-6d03d0a4], .col-sm-4[data-v-6d03d0a4], .col-sm-5[data-v-6d03d0a4], .col-sm-6[data-v-6d03d0a4], .col-sm-7[data-v-6d03d0a4], .col-sm-8[data-v-6d03d0a4], .col-sm-9[data-v-6d03d0a4], .col-sm-offset-0[data-v-6d03d0a4], .col-sm-offset-1[data-v-6d03d0a4], .col-sm-offset-10[data-v-6d03d0a4], .col-sm-offset-11[data-v-6d03d0a4], .col-sm-offset-12[data-v-6d03d0a4], .col-sm-offset-2[data-v-6d03d0a4], .col-sm-offset-3[data-v-6d03d0a4], .col-sm-offset-4[data-v-6d03d0a4], .col-sm-offset-5[data-v-6d03d0a4], .col-sm-offset-6[data-v-6d03d0a4], .col-sm-offset-7[data-v-6d03d0a4], .col-sm-offset-8[data-v-6d03d0a4], .col-sm-offset-9[data-v-6d03d0a4] {\r\n        box-sizing: border-box;\r\n        -webkit-box-flex: 0;\r\n        -ms-flex: 0 0 auto;\r\n        flex: 0 0 auto;\r\n        padding-right: .5rem;\r\n        padding-left: .5rem\n}\n.col-sm[data-v-6d03d0a4] {\r\n        -webkit-box-flex: 1;\r\n        -ms-flex-positive: 1;\r\n        flex-grow: 1;\r\n        -ms-flex-preferred-size: 0;\r\n        flex-basis: 0;\r\n        max-width: 100%\n}\n.col-sm-1[data-v-6d03d0a4] {\r\n        -ms-flex-preferred-size: 8.33333333%;\r\n        flex-basis: 8.33333333%;\r\n        max-width: 8.33333333%\n}\n.col-sm-2[data-v-6d03d0a4] {\r\n        -ms-flex-preferred-size: 16.66666667%;\r\n        flex-basis: 16.66666667%;\r\n        max-width: 16.66666667%\n}\n.col-sm-3[data-v-6d03d0a4] {\r\n        -ms-flex-preferred-size: 25%;\r\n        flex-basis: 25%;\r\n        max-width: 25%\n}\n.col-sm-4[data-v-6d03d0a4] {\r\n        -ms-flex-preferred-size: 33.33333333%;\r\n        flex-basis: 33.33333333%;\r\n        max-width: 33.33333333%\n}\n.col-sm-5[data-v-6d03d0a4] {\r\n        -ms-flex-preferred-size: 41.66666667%;\r\n        flex-basis: 41.66666667%;\r\n        max-width: 41.66666667%\n}\n.col-sm-6[data-v-6d03d0a4] {\r\n        -ms-flex-preferred-size: 50%;\r\n        flex-basis: 50%;\r\n        max-width: 50%\n}\n.col-sm-7[data-v-6d03d0a4] {\r\n        -ms-flex-preferred-size: 58.33333333%;\r\n        flex-basis: 58.33333333%;\r\n        max-width: 58.33333333%\n}\n.col-sm-8[data-v-6d03d0a4] {\r\n        -ms-flex-preferred-size: 66.66666667%;\r\n        flex-basis: 66.66666667%;\r\n        max-width: 66.66666667%\n}\n.col-sm-9[data-v-6d03d0a4] {\r\n        -ms-flex-preferred-size: 75%;\r\n        flex-basis: 75%;\r\n        max-width: 75%\n}\n.col-sm-10[data-v-6d03d0a4] {\r\n        -ms-flex-preferred-size: 83.33333333%;\r\n        flex-basis: 83.33333333%;\r\n        max-width: 83.33333333%\n}\n.col-sm-11[data-v-6d03d0a4] {\r\n        -ms-flex-preferred-size: 91.66666667%;\r\n        flex-basis: 91.66666667%;\r\n        max-width: 91.66666667%\n}\n.col-sm-12[data-v-6d03d0a4] {\r\n        -ms-flex-preferred-size: 100%;\r\n        flex-basis: 100%;\r\n        max-width: 100%\n}\n.col-sm-offset-0[data-v-6d03d0a4] {\r\n        margin-left: 0\n}\n.col-sm-offset-1[data-v-6d03d0a4] {\r\n        margin-left: 8.33333333%\n}\n.col-sm-offset-2[data-v-6d03d0a4] {\r\n        margin-left: 16.66666667%\n}\n.col-sm-offset-3[data-v-6d03d0a4] {\r\n        margin-left: 25%\n}\n.col-sm-offset-4[data-v-6d03d0a4] {\r\n        margin-left: 33.33333333%\n}\n.col-sm-offset-5[data-v-6d03d0a4] {\r\n        margin-left: 41.66666667%\n}\n.col-sm-offset-6[data-v-6d03d0a4] {\r\n        margin-left: 50%\n}\n.col-sm-offset-7[data-v-6d03d0a4] {\r\n        margin-left: 58.33333333%\n}\n.col-sm-offset-8[data-v-6d03d0a4] {\r\n        margin-left: 66.66666667%\n}\n.col-sm-offset-9[data-v-6d03d0a4] {\r\n        margin-left: 75%\n}\n.col-sm-offset-10[data-v-6d03d0a4] {\r\n        margin-left: 83.33333333%\n}\n.col-sm-offset-11[data-v-6d03d0a4] {\r\n        margin-left: 91.66666667%\n}\n.start-sm[data-v-6d03d0a4] {\r\n        -webkit-box-pack: start;\r\n        -ms-flex-pack: start;\r\n        justify-content: flex-start;\r\n        text-align: start\n}\n.center-sm[data-v-6d03d0a4] {\r\n        -webkit-box-pack: center;\r\n        -ms-flex-pack: center;\r\n        justify-content: center;\r\n        text-align: center\n}\n.end-sm[data-v-6d03d0a4] {\r\n        -webkit-box-pack: end;\r\n        -ms-flex-pack: end;\r\n        justify-content: flex-end;\r\n        text-align: end\n}\n.top-sm[data-v-6d03d0a4] {\r\n        -webkit-box-align: start;\r\n        -ms-flex-align: start;\r\n        align-items: flex-start\n}\n.middle-sm[data-v-6d03d0a4] {\r\n        -webkit-box-align: center;\r\n        -ms-flex-align: center;\r\n        align-items: center\n}\n.bottom-sm[data-v-6d03d0a4] {\r\n        -webkit-box-align: end;\r\n        -ms-flex-align: end;\r\n        align-items: flex-end\n}\n.around-sm[data-v-6d03d0a4] {\r\n        -ms-flex-pack: distribute;\r\n        justify-content: space-around\n}\n.between-sm[data-v-6d03d0a4] {\r\n        -webkit-box-pack: justify;\r\n        -ms-flex-pack: justify;\r\n        justify-content: space-between\n}\n.first-sm[data-v-6d03d0a4] {\r\n        -webkit-box-ordinal-group: 0;\r\n        -ms-flex-order: -1;\r\n        order: -1\n}\n.last-sm[data-v-6d03d0a4] {\r\n        -webkit-box-ordinal-group: 2;\r\n        -ms-flex-order: 1;\r\n        order: 1\n}\n}\n@media only screen and (min-width: 64em) {\n.container[data-v-6d03d0a4] {\r\n        width: 65rem\n}\n.col-md[data-v-6d03d0a4], .col-md-1[data-v-6d03d0a4], .col-md-10[data-v-6d03d0a4], .col-md-11[data-v-6d03d0a4], .col-md-12[data-v-6d03d0a4], .col-md-2[data-v-6d03d0a4], .col-md-3[data-v-6d03d0a4], .col-md-4[data-v-6d03d0a4], .col-md-5[data-v-6d03d0a4], .col-md-6[data-v-6d03d0a4], .col-md-7[data-v-6d03d0a4], .col-md-8[data-v-6d03d0a4], .col-md-9[data-v-6d03d0a4], .col-md-offset-0[data-v-6d03d0a4], .col-md-offset-1[data-v-6d03d0a4], .col-md-offset-10[data-v-6d03d0a4], .col-md-offset-11[data-v-6d03d0a4], .col-md-offset-12[data-v-6d03d0a4], .col-md-offset-2[data-v-6d03d0a4], .col-md-offset-3[data-v-6d03d0a4], .col-md-offset-4[data-v-6d03d0a4], .col-md-offset-5[data-v-6d03d0a4], .col-md-offset-6[data-v-6d03d0a4], .col-md-offset-7[data-v-6d03d0a4], .col-md-offset-8[data-v-6d03d0a4], .col-md-offset-9[data-v-6d03d0a4] {\r\n        box-sizing: border-box;\r\n        -webkit-box-flex: 0;\r\n        -ms-flex: 0 0 auto;\r\n        flex: 0 0 auto;\r\n        padding-right: .5rem;\r\n        padding-left: .5rem\n}\n.col-md[data-v-6d03d0a4] {\r\n        -webkit-box-flex: 1;\r\n        -ms-flex-positive: 1;\r\n        flex-grow: 1;\r\n        -ms-flex-preferred-size: 0;\r\n        flex-basis: 0;\r\n        max-width: 100%\n}\n.col-md-1[data-v-6d03d0a4] {\r\n        -ms-flex-preferred-size: 8.33333333%;\r\n        flex-basis: 8.33333333%;\r\n        max-width: 8.33333333%\n}\n.col-md-2[data-v-6d03d0a4] {\r\n        -ms-flex-preferred-size: 16.66666667%;\r\n        flex-basis: 16.66666667%;\r\n        max-width: 16.66666667%\n}\n.col-md-3[data-v-6d03d0a4] {\r\n        -ms-flex-preferred-size: 25%;\r\n        flex-basis: 25%;\r\n        max-width: 25%\n}\n.col-md-4[data-v-6d03d0a4] {\r\n        -ms-flex-preferred-size: 33.33333333%;\r\n        flex-basis: 33.33333333%;\r\n        max-width: 33.33333333%\n}\n.col-md-5[data-v-6d03d0a4] {\r\n        -ms-flex-preferred-size: 41.66666667%;\r\n        flex-basis: 41.66666667%;\r\n        max-width: 41.66666667%\n}\n.col-md-6[data-v-6d03d0a4] {\r\n        -ms-flex-preferred-size: 50%;\r\n        flex-basis: 50%;\r\n        max-width: 50%\n}\n.col-md-7[data-v-6d03d0a4] {\r\n        -ms-flex-preferred-size: 58.33333333%;\r\n        flex-basis: 58.33333333%;\r\n        max-width: 58.33333333%\n}\n.col-md-8[data-v-6d03d0a4] {\r\n        -ms-flex-preferred-size: 66.66666667%;\r\n        flex-basis: 66.66666667%;\r\n        max-width: 66.66666667%\n}\n.col-md-9[data-v-6d03d0a4] {\r\n        -ms-flex-preferred-size: 75%;\r\n        flex-basis: 75%;\r\n        max-width: 75%\n}\n.col-md-10[data-v-6d03d0a4] {\r\n        -ms-flex-preferred-size: 83.33333333%;\r\n        flex-basis: 83.33333333%;\r\n        max-width: 83.33333333%\n}\n.col-md-11[data-v-6d03d0a4] {\r\n        -ms-flex-preferred-size: 91.66666667%;\r\n        flex-basis: 91.66666667%;\r\n        max-width: 91.66666667%\n}\n.col-md-12[data-v-6d03d0a4] {\r\n        -ms-flex-preferred-size: 100%;\r\n        flex-basis: 100%;\r\n        max-width: 100%\n}\n.col-md-offset-0[data-v-6d03d0a4] {\r\n        margin-left: 0\n}\n.col-md-offset-1[data-v-6d03d0a4] {\r\n        margin-left: 8.33333333%\n}\n.col-md-offset-2[data-v-6d03d0a4] {\r\n        margin-left: 16.66666667%\n}\n.col-md-offset-3[data-v-6d03d0a4] {\r\n        margin-left: 25%\n}\n.col-md-offset-4[data-v-6d03d0a4] {\r\n        margin-left: 33.33333333%\n}\n.col-md-offset-5[data-v-6d03d0a4] {\r\n        margin-left: 41.66666667%\n}\n.col-md-offset-6[data-v-6d03d0a4] {\r\n        margin-left: 50%\n}\n.col-md-offset-7[data-v-6d03d0a4] {\r\n        margin-left: 58.33333333%\n}\n.col-md-offset-8[data-v-6d03d0a4] {\r\n        margin-left: 66.66666667%\n}\n.col-md-offset-9[data-v-6d03d0a4] {\r\n        margin-left: 75%\n}\n.col-md-offset-10[data-v-6d03d0a4] {\r\n        margin-left: 83.33333333%\n}\n.col-md-offset-11[data-v-6d03d0a4] {\r\n        margin-left: 91.66666667%\n}\n.start-md[data-v-6d03d0a4] {\r\n        -webkit-box-pack: start;\r\n        -ms-flex-pack: start;\r\n        justify-content: flex-start;\r\n        text-align: start\n}\n.center-md[data-v-6d03d0a4] {\r\n        -webkit-box-pack: center;\r\n        -ms-flex-pack: center;\r\n        justify-content: center;\r\n        text-align: center\n}\n.end-md[data-v-6d03d0a4] {\r\n        -webkit-box-pack: end;\r\n        -ms-flex-pack: end;\r\n        justify-content: flex-end;\r\n        text-align: end\n}\n.top-md[data-v-6d03d0a4] {\r\n        -webkit-box-align: start;\r\n        -ms-flex-align: start;\r\n        align-items: flex-start\n}\n.middle-md[data-v-6d03d0a4] {\r\n        -webkit-box-align: center;\r\n        -ms-flex-align: center;\r\n        align-items: center\n}\n.bottom-md[data-v-6d03d0a4] {\r\n        -webkit-box-align: end;\r\n        -ms-flex-align: end;\r\n        align-items: flex-end\n}\n.around-md[data-v-6d03d0a4] {\r\n        -ms-flex-pack: distribute;\r\n        justify-content: space-around\n}\n.between-md[data-v-6d03d0a4] {\r\n        -webkit-box-pack: justify;\r\n        -ms-flex-pack: justify;\r\n        justify-content: space-between\n}\n.first-md[data-v-6d03d0a4] {\r\n        -webkit-box-ordinal-group: 0;\r\n        -ms-flex-order: -1;\r\n        order: -1\n}\n.last-md[data-v-6d03d0a4] {\r\n        -webkit-box-ordinal-group: 2;\r\n        -ms-flex-order: 1;\r\n        order: 1\n}\n}\n@media only screen and (min-width: 75em) {\n.container[data-v-6d03d0a4] {\r\n        width: 76rem\n}\n.col-lg[data-v-6d03d0a4], .col-lg-1[data-v-6d03d0a4], .col-lg-10[data-v-6d03d0a4], .col-lg-11[data-v-6d03d0a4], .col-lg-12[data-v-6d03d0a4], .col-lg-2[data-v-6d03d0a4], .col-lg-3[data-v-6d03d0a4], .col-lg-4[data-v-6d03d0a4], .col-lg-5[data-v-6d03d0a4], .col-lg-6[data-v-6d03d0a4], .col-lg-7[data-v-6d03d0a4], .col-lg-8[data-v-6d03d0a4], .col-lg-9[data-v-6d03d0a4], .col-lg-offset-0[data-v-6d03d0a4], .col-lg-offset-1[data-v-6d03d0a4], .col-lg-offset-10[data-v-6d03d0a4], .col-lg-offset-11[data-v-6d03d0a4], .col-lg-offset-12[data-v-6d03d0a4], .col-lg-offset-2[data-v-6d03d0a4], .col-lg-offset-3[data-v-6d03d0a4], .col-lg-offset-4[data-v-6d03d0a4], .col-lg-offset-5[data-v-6d03d0a4], .col-lg-offset-6[data-v-6d03d0a4], .col-lg-offset-7[data-v-6d03d0a4], .col-lg-offset-8[data-v-6d03d0a4], .col-lg-offset-9[data-v-6d03d0a4] {\r\n        box-sizing: border-box;\r\n        -webkit-box-flex: 0;\r\n        -ms-flex: 0 0 auto;\r\n        flex: 0 0 auto;\r\n        padding-right: .5rem;\r\n        padding-left: .5rem\n}\n.col-lg[data-v-6d03d0a4] {\r\n        -webkit-box-flex: 1;\r\n        -ms-flex-positive: 1;\r\n        flex-grow: 1;\r\n        -ms-flex-preferred-size: 0;\r\n        flex-basis: 0;\r\n        max-width: 100%\n}\n.col-lg-1[data-v-6d03d0a4] {\r\n        -ms-flex-preferred-size: 8.33333333%;\r\n        flex-basis: 8.33333333%;\r\n        max-width: 8.33333333%\n}\n.col-lg-2[data-v-6d03d0a4] {\r\n        -ms-flex-preferred-size: 16.66666667%;\r\n        flex-basis: 16.66666667%;\r\n        max-width: 16.66666667%\n}\n.col-lg-3[data-v-6d03d0a4] {\r\n        -ms-flex-preferred-size: 25%;\r\n        flex-basis: 25%;\r\n        max-width: 25%\n}\n.col-lg-4[data-v-6d03d0a4] {\r\n        -ms-flex-preferred-size: 33.33333333%;\r\n        flex-basis: 33.33333333%;\r\n        max-width: 33.33333333%\n}\n.col-lg-5[data-v-6d03d0a4] {\r\n        -ms-flex-preferred-size: 41.66666667%;\r\n        flex-basis: 41.66666667%;\r\n        max-width: 41.66666667%\n}\n.col-lg-6[data-v-6d03d0a4] {\r\n        -ms-flex-preferred-size: 50%;\r\n        flex-basis: 50%;\r\n        max-width: 50%\n}\n.col-lg-7[data-v-6d03d0a4] {\r\n        -ms-flex-preferred-size: 58.33333333%;\r\n        flex-basis: 58.33333333%;\r\n        max-width: 58.33333333%\n}\n.col-lg-8[data-v-6d03d0a4] {\r\n        -ms-flex-preferred-size: 66.66666667%;\r\n        flex-basis: 66.66666667%;\r\n        max-width: 66.66666667%\n}\n.col-lg-9[data-v-6d03d0a4] {\r\n        -ms-flex-preferred-size: 75%;\r\n        flex-basis: 75%;\r\n        max-width: 75%\n}\n.col-lg-10[data-v-6d03d0a4] {\r\n        -ms-flex-preferred-size: 83.33333333%;\r\n        flex-basis: 83.33333333%;\r\n        max-width: 83.33333333%\n}\n.col-lg-11[data-v-6d03d0a4] {\r\n        -ms-flex-preferred-size: 91.66666667%;\r\n        flex-basis: 91.66666667%;\r\n        max-width: 91.66666667%\n}\n.col-lg-12[data-v-6d03d0a4] {\r\n        -ms-flex-preferred-size: 100%;\r\n        flex-basis: 100%;\r\n        max-width: 100%\n}\n.col-lg-offset-0[data-v-6d03d0a4] {\r\n        margin-left: 0\n}\n.col-lg-offset-1[data-v-6d03d0a4] {\r\n        margin-left: 8.33333333%\n}\n.col-lg-offset-2[data-v-6d03d0a4] {\r\n        margin-left: 16.66666667%\n}\n.col-lg-offset-3[data-v-6d03d0a4] {\r\n        margin-left: 25%\n}\n.col-lg-offset-4[data-v-6d03d0a4] {\r\n        margin-left: 33.33333333%\n}\n.col-lg-offset-5[data-v-6d03d0a4] {\r\n        margin-left: 41.66666667%\n}\n.col-lg-offset-6[data-v-6d03d0a4] {\r\n        margin-left: 50%\n}\n.col-lg-offset-7[data-v-6d03d0a4] {\r\n        margin-left: 58.33333333%\n}\n.col-lg-offset-8[data-v-6d03d0a4] {\r\n        margin-left: 66.66666667%\n}\n.col-lg-offset-9[data-v-6d03d0a4] {\r\n        margin-left: 75%\n}\n.col-lg-offset-10[data-v-6d03d0a4] {\r\n        margin-left: 83.33333333%\n}\n.col-lg-offset-11[data-v-6d03d0a4] {\r\n        margin-left: 91.66666667%\n}\n.start-lg[data-v-6d03d0a4] {\r\n        -webkit-box-pack: start;\r\n        -ms-flex-pack: start;\r\n        justify-content: flex-start;\r\n        text-align: start\n}\n.center-lg[data-v-6d03d0a4] {\r\n        -webkit-box-pack: center;\r\n        -ms-flex-pack: center;\r\n        justify-content: center;\r\n        text-align: center\n}\n.end-lg[data-v-6d03d0a4] {\r\n        -webkit-box-pack: end;\r\n        -ms-flex-pack: end;\r\n        justify-content: flex-end;\r\n        text-align: end\n}\n.top-lg[data-v-6d03d0a4] {\r\n        -webkit-box-align: start;\r\n        -ms-flex-align: start;\r\n        align-items: flex-start\n}\n.middle-lg[data-v-6d03d0a4] {\r\n        -webkit-box-align: center;\r\n        -ms-flex-align: center;\r\n        align-items: center\n}\n.bottom-lg[data-v-6d03d0a4] {\r\n        -webkit-box-align: end;\r\n        -ms-flex-align: end;\r\n        align-items: flex-end\n}\n.around-lg[data-v-6d03d0a4] {\r\n        -ms-flex-pack: distribute;\r\n        justify-content: space-around\n}\n.between-lg[data-v-6d03d0a4] {\r\n        -webkit-box-pack: justify;\r\n        -ms-flex-pack: justify;\r\n        justify-content: space-between\n}\n.first-lg[data-v-6d03d0a4] {\r\n        -webkit-box-ordinal-group: 0;\r\n        -ms-flex-order: -1;\r\n        order: -1\n}\n.last-lg[data-v-6d03d0a4] {\r\n        -webkit-box-ordinal-group: 2;\r\n        -ms-flex-order: 1;\r\n        order: 1\n}\n}\na[data-v-6d03d0a4] {\r\n    cursor: pointer;\n}\n.navbar-container[data-v-6d03d0a4] {\r\n    background-color: #e6e6e6;\r\n    border-radius: 20px;\r\n    border: 1px solid #e6e6e6;\r\n    overflow: hidden;\r\n    min-width: 600px;\r\n    margin: 0 auto;\n}\n.logo[data-v-6d03d0a4] {\r\n    max-height: 100px;\r\n    max-width: 100px;\n}\n.title[data-v-6d03d0a4] {\r\n    padding: 10px 0 15px 30px;\r\n    border-left: 2px solid;\r\n    border-color: #009e39;\r\n    color: #009e39;\r\n    margin-top: 20px;\n}\n.user-container[data-v-6d03d0a4] {\r\n    background-color: #D8D9DD;\r\n    height: 100%;\n}\n.user-container span[data-v-6d03d0a4] {\r\n    color: rgba(72, 72, 72, .56);\n}\n.user-logo[data-v-6d03d0a4] {\r\n    margin-left: 15px;\n}\n.user-logo img[data-v-6d03d0a4]{\r\n    max-width: 40px;\r\n    max-height: 40px;\r\n    border-radius:150px;\r\n    border:10px solid #e6e6e6;\n}\n.icon-container[data-v-6d03d0a4] {\r\n    height: 100%;\n}\n.icon-container .icon[data-v-6d03d0a4] {\r\n    margin: 5px;\n}\n.icon-container .icon img[data-v-6d03d0a4] {\r\n    max-height: 25px;\r\n    max-width: 25px;\n}", map: undefined, media: undefined });

      };
      /* scoped */
      var __vue_scope_id__ = "data-v-6d03d0a4";
      /* module identifier */
      var __vue_module_identifier__ = undefined;
      /* functional template */
      var __vue_is_functional_template__ = false;
      /* style inject SSR */
      

      
      var component = normalizeComponent_1(
        { render: __vue_render__, staticRenderFns: __vue_staticRenderFns__ },
        __vue_inject_styles__,
        __vue_script__,
        __vue_scope_id__,
        __vue_is_functional_template__,
        __vue_module_identifier__,
        browser,
        undefined
      );

    // Import vue component

    // Declare install function executed by Vue.use()
    function install(Vue) {
      if (install.installed) { return; }
      install.installed = true;
      Vue.component('ChortiNavbar', component);
    }

    // Create module definition for Vue.use()
    var plugin = {
      install: install,
    };

    // Auto-install when vue is found (eg. in browser via <script> tag)
    var GlobalVue = null;
    if (typeof window !== 'undefined') {
      GlobalVue = window.Vue;
    } else if (typeof global !== 'undefined') {
      GlobalVue = global.Vue;
    }
    if (GlobalVue) {
      GlobalVue.use(plugin);
    }

    exports.default = component;
    exports.install = install;

    return exports;

}({}));
